## org.apache.mahout.math.map
Class OpenShortLongHashMap.MapElement

    java.lang.Object
      org.apache.mahout.math.map.OpenShortLongHashMap.MapElement

Enclosing class:
  OpenShortLongHashMap

    public final class OpenShortLongHashMap.MapElement

extends Object

Constructor Summary
`OpenShortLongHashMap.MapElement()`

Method Summary
`long` `get()`
`short` `index()`
`void` `set(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenShortLongHashMap.MapElement

    public OpenShortLongHashMap.MapElement()

Method Detail

### get

    public long get()

### index

    public short index()

### set

    public void set(long value)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.